Subject: Re: regression -next -- scsi: sd: Rely on the driver core for asynchronous probing was Re: next-20190408..0418: Suspend/resume problems on Thinkpad X60

From: Pavel Machek <[email-masked]>
Date: Fri, 26 Apr 2019 12:32:49 +0200

On Thu 2019-04-25 06:35:58, Bart Van Assche wrote:
> On 4/25/19 12:33 AM, Pavel Machek wrote:
> > On Wed 2019-04-24 13:56:01, Bart Van Assche wrote:
> >> On Wed, 2019-04-24 at 22:51 +0200, Pavel Machek wrote:
> >>> Unfortunately, that one does not revert cleanly on top of -next.
> >>
> >> Can you try the following:
> >>
> >> git revert d16ece577bf2cee7f94bab75a0d967bcb89dd2a7 &&
> >>   git revert 21e6ba3f0e0257cce1a226c1f15e0a8ba4338ca3
> >>
> >> I will see whether I can come up with a better way to analyze what is
> >> going on. I had not expected that these patches would cause any suspend/
> >> resume problems.
> > 
> > Not even d16ece reverts:
> > 
> > pavel@duo:/data/l/linux-next-32$ git show  | head -3
> > commit 76c938fcaa4b4a5d8f05fa907925d5043834964e
> > Author: Stephen Rothwell <[email-masked]>
> > Date:   Tue Apr 23 20:24:59 2019 +1000
> > pavel@duo:/data/l/linux-next-32$ git revert
> > d16ece577bf2cee7f94bab75a0d967bcb89dd2a7
> > error: could not revert d16ece5... scsi: sd: Inline sd_probe_part2()
> > hint: after resolving the conflicts, mark the corrected paths
> > hint: with 'git add <paths>' or 'git rm <paths>'
> > hint: and commit the result with 'git commit'
> 
> There has been a non-trivial merge between the block and scsi trees in
> linux-next. That's probably what prevents these patches to revert
> cleanly. How about performing the following tests:
> * Build, boot and test Martin's latest for-5.2 branch
> (git://git.kernel.org/pub/scm/linux/kernel/git/mkp/scsi.git; branch
> 5.2/scsi-queue).

Ok, so that's commit a7634b6f7cbbdc6efcf772e080a6fe845d1f6161
. Suspend/resume is broken there.

> * If suspend/resume does not work reliably with that branch, revert the
> two patches above, rebuild, reboot and retest.

pavel@duo:/data/l/linux-next-32$ git show
commit a7634b6f7cbbdc6efcf772e080a6fe845d1f6161
Author: Colin Ian King <[email-masked]>
pavel@duo:/data/l/linux-next-32$ git revert
d16ece577bf2cee7f94bab75a0d967bcb89dd2a7
Editing file: /data/fast/l/linux-next-32/.git/COMMIT_EDITMSG
1026
?
[detached HEAD 916db0d] Revert "scsi: sd: Inline sd_probe_part2()"
 1 file changed, 58 insertions(+), 43 deletions(-)
 pavel@duo:/data/l/linux-next-32$ git revert
 21e6ba3f0e0257cce1a226c1f15e0a8ba4338ca3
 Editing file: /data/fast/l/linux-next-32/.git/COMMIT_EDITMSG
 1163
 ?
 [detached HEAD ac8d625] Revert "scsi: sd: Rely on the driver core for
 asynchronous probing"
  4 files changed, 47 insertions(+), 5 deletions(-)

And reverting those two indeed fixes it:

Checking version...
version is  Linux amd 5.1.0-rc1autobisect1556274387+ #261 SMP Fri Apr
26 12:27:12 CEST 2019 i686 GNU/Linux
Running test...
Result is [ TEST SUCCESS ]
Test said TEST SUCCESS

								Pavel

-- 
DENX Software Engineering GmbH,      Managing Director: Wolfgang Denk
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany